Subject: No placeholder attribute in backend forms
Description

The disposal of the placeholder feature in backend forms needs to be enabled using the mode setting "useOrOverridePlaceholder" in
TCA. However, the implementation for checking this needs to be inverted, since it returns an empty string if it's enabled, but should be
the opposite way instead.
How to reproduce:
    -  enter a title for a file in the file backend module
    -  create a new content element  (text w/image) and assign that file
    -  after enabling the override mode, the input field should show the placeholder (using the HTML5 placeholder attribute)

How it should look like (but does not currently):
53594.png

Related issues:
related to Core - Bug # 53573: FormDataTraverser::getFieldValueRecursive() mi... Resolved 2013-11-12
follows TYPO3 CMS Usability Team - Bug # 49685: Mask: sys_file / sys_file_ref... Resolved 2013-07-05

Associated revisions
Revision c631a58f - 2014-01-18 14:15 - Oliver Hader

[BUGFIX] No placeholder attribute in backend forms

The disposal of the placeholder feature in backend forms needs
to be enabled using the mode setting "useOrOverridePlaceholder" 
in TCA. However, the implementation for checking this needs to
be inverted, since it returns an empty string if it's enabled,
but should be the opposite way instead.

Fixes: #53594
Releases: 6.2, 6.1, 6.0
Change-Id: I3d3fe5ac76c05f4601860c79d7f514bffea13963
Reviewed-on: https://review.typo3.org/25365
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History
#1 - 2013-11-13 10:43 - Oliver Hader
https://review.typo3.org/25365


- File 53594.png added

#2 - 2013-11-13 10:46 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25365

#3 - 2013-11-15 10:20 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25365

#4 - 2014-01-16 23:53 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25365

#5 - 2014-01-18 14:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c631a58fabea7e1ebee5038a4308b47e9b8dc111.
